Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport.client
Class EPPSSLContext

    java.lang.Object
      com.verisign.epp.transport.client.EPPSSLContext

    public class EPPSSLContext

extends java.lang.Object

The `EPPSSLContext` contains initialized SSL objects that can be used to establish SSL connections. The attributes include an `SSLContext`, an `SSLSocketFactory`, and an optional set of SSL enabled protocols.

Constructor Summary
`EPPSSLContext()` Default constructor.
`EPPSSLContext(javax.net.ssl.SSLContext aSSLContext)` Creates an instance of `EPPSSLContext` that takes the required set of attributes.
`EPPSSLContext(javax.net.ssl.SSLContext aSSLContext, java.lang.String[] aSslEnabledProtocols, java.lang.String[] aSslEnabledCipherSuites)` Creates an instance of `EPPSSLContext` that all of the attributes.

Method Summary
`javax.net.ssl.SSLContext` | `getSSLContext()` Gets the `SSLContext`.
`java.lang.String[]` | `getSSLEnabledCipherSuites()` Gets the optional SSL enabled cipher suites `String` array.
`java.lang.String[]` | `getSSLEnabledProtocols()` Gets the optional SSL enabled protocols `String` array.
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Gets the `SSLSocketFactory`.
`boolean` | `hasSSLContext()` Checks whether `SSLContext` has been set.
`boolean` | `hasSSLEnabledCipherSuites()` Checks whether SSL enabled cipher suites has been set.
`boolean` | `hasSSLEnabledProtocols()` Checks whether SSL enabled protocols has been set.
`boolean` | `hasSSLSocketFactory()` Checks whether `SSLSocketFactory` has been set.
`void` | `setSSLContext(javax.net.ssl.SSLContext aSSLContext)` Sets the `SSLContext`.
`void` | `setSSLEnabledCipherSuites(java.lang.String[] aSslEnabledCipherSuites)` Sets the optional SSL enabled cipher suites `String` array.
`void` | `setSSLEnabledProtocols(java.lang.String[] aSslEnabledProtocols)` Sets the optional SSL enabled protocols `String` array.
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory aSSLSocketFactory)` Sets the `SSLSocketFactory`, which should be the `SocketFactory` of the `SSLContext` attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPSSLContext

    public EPPSSLContext()

  Default constructor.

### EPPSSLContext

    public EPPSSLContext(javax.net.ssl.SSLContext aSSLContext)

  Creates an instance of `EPPSSLContext` that takes the required set of attributes.

  Parameters:
    `aSSLContext` - `SSLContext` instance

### EPPSSLContext

    public EPPSSLContext(javax.net.ssl.SSLContext aSSLContext,
                         java.lang.String[] aSslEnabledProtocols,
                         java.lang.String[] aSslEnabledCipherSuites)

  Creates an instance of `EPPSSLContext` that all of the attributes.

  Parameters:
    `aSSLContext` - `SSLContext` instance
    `aSslEnabledProtocols` - `String` array of enabled SSL protocols
    `aSslEnabledCipherSuites` - `String` array of enabled SSL cipher suites

Method Detail

### getSSLContext

    public javax.net.ssl.SSLContext getSSLContext()

  Gets the `SSLContext`.

  Returns:
    `SSLContext` instance

### setSSLContext

    public void setSSLContext(javax.net.ssl.SSLContext aSSLContext)

  Sets the `SSLContext`.

  Parameters:
    `aSSLContext` - `SSLContext` to set

### hasSSLContext

    public boolean hasSSLContext()

  Checks whether `SSLContext` has been set.

  Returns:
    `true` if set; `false` otherwise.

### getSSLSocketFactory

    public javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Gets the `SSLSocketFactory`.

  Returns:
    `SSLSocketFactory` instance

### setSSLSocketFactory

    public void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory aSSLSocketFactory)

  Sets the `SSLSocketFactory`, which should be the `SocketFactory` of the `SSLContext` attribute.

  Parameters:
    `aSSLSocketFactory` - `SSLSocketFactory` instance

### hasSSLSocketFactory

    public boolean hasSSLSocketFactory()

  Checks whether `SSLSocketFactory` has been set.

  Returns:
    `true` if set; `false` otherwise.

### getSSLEnabledProtocols

    public java.lang.String[] getSSLEnabledProtocols()

  Gets the optional SSL enabled protocols `String` array.

  Returns:
    `>String` array if set; `null` otherwise.

### setSSLEnabledProtocols

    public void setSSLEnabledProtocols(java.lang.String[] aSslEnabledProtocols)

  Sets the optional SSL enabled protocols `String` array.

  Parameters:
    `aSslEnabledProtocols` - `String` array of enabled SSL protocols

### hasSSLEnabledProtocols

    public boolean hasSSLEnabledProtocols()

  Checks whether SSL enabled protocols has been set.

  Returns:
    `true` if set; `false` otherwise.

### getSSLEnabledCipherSuites

    public java.lang.String[] getSSLEnabledCipherSuites()

  Gets the optional SSL enabled cipher suites `String` array.

  Returns:
    `>String` array if set; `null` otherwise.

### setSSLEnabledCipherSuites

    public void setSSLEnabledCipherSuites(java.lang.String[] aSslEnabledCipherSuites)

  Sets the optional SSL enabled cipher suites `String` array.

  Parameters:
    `aSslEnabledCipherSuites` - `String` array of enabled SSL cipher suites

### hasSSLEnabledCipherSuites

    public boolean hasSSLEnabledCipherSuites()

  Checks whether SSL enabled cipher suites has been set.

  Returns:
    `true` if set; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.